/*
 Theme Name:   CCWS Child
 Theme URI:    https://www.chrisclarkewebservices.co.uk
 Description:  Child theme based on GeneratePress
 Author:       Chris Clarke
 Author URI:   https://www.chrisclarkewebservices.co.uk
 Template:     generatepress
 Version:      0.1
*/

/* Set the main content area to a minimum of 65vh */
#main {
    min-height: 65vh;
}

body {
    background-color: var(--outside-container);
}

/* Site Wrapper to set overall site max width */
.site-wrapper {
    width: 100%;
    max-width: 1920px;
    margin-inline: auto;
    background-color: var(--body);
} 

body {
    background-color: var(--outside-container);
}


/* HELPER CLASSES */

/* Standard Shadow(s) */

.shadow-standard {
    box-shadow: 0px 5px 16px -5px rgba(33, 33, 33, 0.2);
    transition: all .2s ease-in;
}

.shadow-standard:hover {
    box-shadow: 0px 8px 32px 0px rgba(33, 33, 33, 0.1);
}

/* Max Width(s) */

.max-width-1024 {
    max-width: 1024px;
}


.max-width-768 {
    max-width: 768px;
}

.max-width-640 {
    max-width: 640px;
}

.max-width-480 {
    max-width: 480px;
}

/* Margin Auto */

.margin-auto{
    margin-left: auto;
    margin-right: auto;
}

/* Position Properties */

.relative{
    position: relative;
}

.absolute{
    position:absolute;
    top: 0px;
    left: 0px;
}

.sticky{
    position: sticky;
    top: 24px;
}

/* No Underline */
.no-ul, .no-ul a {
    text-decoration: none;
}

/* Remove bottom margin on last paragraph */
.gb-container p:last-child:last-of-type {
    margin-bottom: 0px;
}

.block-editor-block-list__layout .gb-container p:nth-last-child(2) {
    margin-bottom: 0px;
}

/* Image Aspect Ratios */

.aspect-1-1 img{
    aspect-ratio: 1/1;
    object-fit: cover;
}

.aspect-3-2 img{
    aspect-ratio: 3/2;
    object-fit: cover;
}

.aspect-2-3 img{
    aspect-ratio: 2/3;
    object-fit: cover;
}

.aspect-4-3 img{
    aspect-ratio: 4/3;
    object-fit: cover;
}

.aspect-3-4 img{
    aspect-ratio: 3/4;
    object-fit: cover;
}

.aspect-16-9 img{
    aspect-ratio: 16/9;
    object-fit: cover;
}

.aspect-9-16 img{
    aspect-ratio: 9/16;
    object-fit: cover;
}

